Subject: Re: [PATCH] net: make ip_rt_acct a normal percpu var

From: Rusty Russell <[email-masked]>
Date: Thu, 20 Nov 2008 09:43:21 +1030

On Thursday 20 November 2008 08:50:23 David Miller wrote:
> Do you really need this to forward some work you are doing?  If not
> can we just let sleeping dogs lie on this one? :)

Yes, I have patches to convert the dynamic percpu data to use the same 
mechanism as static percpu data.  Unfortunately we don't have a mechanism for 
enlarging the percpu region (which is why this wasn't done earlier), so we use 
a heuristic to figure out how much extra percpu region to allocate at boot.

And 4k makes this one of the Big Pigs in dynamic per-cpu allocations.

(SNMP mibs are even worse, but that's a separate debate...)

I can try to implement a bss-like DEFINE_PER_CPU_ZERO(), but it seems silly to 
talk about tight boot loader size restrictions for SMP kernels.

Cheers,
Rusty.